From 06346be1dc7860b34f119498f34d0a86658fa5ec Mon Sep 17 00:00:00 2001
From: Hayato Kuroda <kuroda.hayato@fujitsu.com>
Date: Mon, 14 Apr 2025 21:34:05 +0900
Subject: [PATCH v3 2/2] Follow naming rules for injection points

---
 src/backend/utils/cache/inval.c                      |  2 +-
 .../expected/syscache-update-pruned.out              | 12 ++++++------
 .../expected/syscache-update-pruned_1.out            | 12 ++++++------
 .../specs/syscache-update-pruned.spec                |  6 +++---
 4 files changed, 16 insertions(+), 16 deletions(-)

diff --git a/src/backend/utils/cache/inval.c b/src/backend/utils/cache/inval.c
index c93679dfdcc..c53a15a8260 100644
--- a/src/backend/utils/cache/inval.c
+++ b/src/backend/utils/cache/inval.c
@@ -1207,7 +1207,7 @@ AtEOXact_Inval(bool isCommit)
 	/* Must be at top of stack */
 	Assert(transInvalInfo->my_level == 1 && transInvalInfo->parent == NULL);
 
-	INJECTION_POINT("AtEOXact_Inval-with-transInvalInfo");
+	INJECTION_POINT("end-transaction-process-inval");
 
 	if (isCommit)
 	{
diff --git a/src/test/modules/injection_points/expected/syscache-update-pruned.out b/src/test/modules/injection_points/expected/syscache-update-pruned.out
index 9a9683bb496..3b743810ee6 100644
--- a/src/test/modules/injection_points/expected/syscache-update-pruned.out
+++ b/src/test/modules/injection_points/expected/syscache-update-pruned.out
@@ -10,8 +10,8 @@ step waitprunable4: CALL vactest.wait_prunable();
 step vac4: VACUUM (FREEZE, DISABLE_PAGE_SKIPPING) pg_class;
 step grant1: GRANT SELECT ON vactest.orig50 TO PUBLIC; <waiting ...>
 step wakeinval4: 
-	SELECT FROM injection_points_detach('AtEOXact_Inval-with-transInvalInfo');
-	SELECT FROM injection_points_wakeup('AtEOXact_Inval-with-transInvalInfo');
+	SELECT FROM injection_points_detach('end-transaction-process-inval');
+	SELECT FROM injection_points_wakeup('end-transaction-process-inval');
  <waiting ...>
 step at2: <... completed>
 step wakeinval4: <... completed>
@@ -33,8 +33,8 @@ step waitprunable4: CALL vactest.wait_prunable();
 step vac4: VACUUM (FREEZE, DISABLE_PAGE_SKIPPING) pg_class;
 step grant1: GRANT SELECT ON vactest.orig50 TO PUBLIC; <waiting ...>
 step wakeinval4: 
-	SELECT FROM injection_points_detach('AtEOXact_Inval-with-transInvalInfo');
-	SELECT FROM injection_points_wakeup('AtEOXact_Inval-with-transInvalInfo');
+	SELECT FROM injection_points_detach('end-transaction-process-inval');
+	SELECT FROM injection_points_wakeup('end-transaction-process-inval');
  <waiting ...>
 step at2: <... completed>
 step wakeinval4: <... completed>
@@ -64,8 +64,8 @@ step waitprunable4: CALL vactest.wait_prunable();
 step vac4: VACUUM (FREEZE, DISABLE_PAGE_SKIPPING) pg_class;
 step grant1: GRANT SELECT ON vactest.orig50 TO PUBLIC; <waiting ...>
 step wakeinval4: 
-	SELECT FROM injection_points_detach('AtEOXact_Inval-with-transInvalInfo');
-	SELECT FROM injection_points_wakeup('AtEOXact_Inval-with-transInvalInfo');
+	SELECT FROM injection_points_detach('end-transaction-process-inval');
+	SELECT FROM injection_points_wakeup('end-transaction-process-inval');
  <waiting ...>
 step at2: <... completed>
 step wakeinval4: <... completed>
diff --git a/src/test/modules/injection_points/expected/syscache-update-pruned_1.out b/src/test/modules/injection_points/expected/syscache-update-pruned_1.out
index 64c39d708bd..d31fd66be70 100644
--- a/src/test/modules/injection_points/expected/syscache-update-pruned_1.out
+++ b/src/test/modules/injection_points/expected/syscache-update-pruned_1.out
@@ -10,8 +10,8 @@ step waitprunable4: CALL vactest.wait_prunable();
 step vac4: VACUUM (FREEZE, DISABLE_PAGE_SKIPPING) pg_class;
 step grant1: GRANT SELECT ON vactest.orig50 TO PUBLIC; <waiting ...>
 step wakeinval4: 
-	SELECT FROM injection_points_detach('AtEOXact_Inval-with-transInvalInfo');
-	SELECT FROM injection_points_wakeup('AtEOXact_Inval-with-transInvalInfo');
+	SELECT FROM injection_points_detach('end-transaction-process-inval');
+	SELECT FROM injection_points_wakeup('end-transaction-process-inval');
  <waiting ...>
 step at2: <... completed>
 step wakeinval4: <... completed>
@@ -32,8 +32,8 @@ step waitprunable4: CALL vactest.wait_prunable();
 step vac4: VACUUM (FREEZE, DISABLE_PAGE_SKIPPING) pg_class;
 step grant1: GRANT SELECT ON vactest.orig50 TO PUBLIC; <waiting ...>
 step wakeinval4: 
-	SELECT FROM injection_points_detach('AtEOXact_Inval-with-transInvalInfo');
-	SELECT FROM injection_points_wakeup('AtEOXact_Inval-with-transInvalInfo');
+	SELECT FROM injection_points_detach('end-transaction-process-inval');
+	SELECT FROM injection_points_wakeup('end-transaction-process-inval');
  <waiting ...>
 step at2: <... completed>
 step wakeinval4: <... completed>
@@ -62,8 +62,8 @@ step waitprunable4: CALL vactest.wait_prunable();
 step vac4: VACUUM (FREEZE, DISABLE_PAGE_SKIPPING) pg_class;
 step grant1: GRANT SELECT ON vactest.orig50 TO PUBLIC; <waiting ...>
 step wakeinval4: 
-	SELECT FROM injection_points_detach('AtEOXact_Inval-with-transInvalInfo');
-	SELECT FROM injection_points_wakeup('AtEOXact_Inval-with-transInvalInfo');
+	SELECT FROM injection_points_detach('end-transaction-process-inval');
+	SELECT FROM injection_points_wakeup('end-transaction-process-inval');
  <waiting ...>
 step at2: <... completed>
 step wakeinval4: <... completed>
diff --git a/src/test/modules/injection_points/specs/syscache-update-pruned.spec b/src/test/modules/injection_points/specs/syscache-update-pruned.spec
index 086d084de25..4fa3690dd74 100644
--- a/src/test/modules/injection_points/specs/syscache-update-pruned.spec
+++ b/src/test/modules/injection_points/specs/syscache-update-pruned.spec
@@ -117,7 +117,7 @@ session s2
 setup	{
 	SELECT FROM injection_points_set_local();
 	SELECT FROM
-		injection_points_attach('AtEOXact_Inval-with-transInvalInfo', 'wait');
+		injection_points_attach('end-transaction-process-inval', 'wait');
 }
 step at2	{
 	CREATE TRIGGER to_set_relhastriggers BEFORE UPDATE ON vactest.orig50
@@ -145,8 +145,8 @@ step wakegrant4	{
 }
 step at4	{ ALTER TABLE vactest.child50 INHERIT vactest.orig50; }
 step wakeinval4	{
-	SELECT FROM injection_points_detach('AtEOXact_Inval-with-transInvalInfo');
-	SELECT FROM injection_points_wakeup('AtEOXact_Inval-with-transInvalInfo');
+	SELECT FROM injection_points_detach('end-transaction-process-inval');
+	SELECT FROM injection_points_wakeup('end-transaction-process-inval');
 }
 # Witness effects of steps at2 and/or at4.
 step inspect4	{
-- 
2.43.5

